# Intel® Enhanced Privacy ID SDK: CompressedPrivKey Struct Reference

CompressedPrivKey Struct Reference
epid » common » types

Compressed private key. More...

`#include <epid/common/types.h>`

## Data Fields

GroupId | gid
| group ID
FqElemStr | ax
| an integer between [0, p-1]
Seed | seed
| 256 bit rekey seed

## Detailed Description

Compressed private key.

Compressed Private key: (gid, A.x, seed)

Examples:
  signmsg.c.

The documentation for this struct was generated from the following file:

- epid/common/types.h